## qemu 8.0.2+dfsg

=== debian/changelog ===
qemu (1:8.0.2+dfsg-3) unstable; urgency=medium

  * d/patches/*: update, add DEP-3 headers
  * d/rules: strip ../../ prefix from compile paths
    to undo sub-subdir build (-ffile-prefix-map)
  * linux-user-Avoid-mmap-of-the-last-byte-of-the-reserv.patch:
    (hackish) fix for recent memory failures

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 29 Jun 2023 18:36:33 +0300

qemu (1:8.0.2+dfsg-2) unstable; urgency=medium

  * d/rules: --enable-libusb for xen build (Closes: #1037341)
  * reapply linux-user-binfmt-P.diff.
    Re-rely on qemu-user's argv0 to detect it is running in binfmt context.
    The problem is that while we ship kernel which can pass this info the
    qemu way, there are many containers which are running on older kernels
    still, including bullseye kernel (5.10) which does not have this feature.
    Keep it for a bit more.
  * hw_intc_allwinner-a10-pic-handle-IRQ-levels-other-than-0-or-1.patch
    Pick a patch from upstream mailinglist to fix regression in 8.0.2

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 15 Jun 2023 22:25:50 +0300

qemu (1:8.0.2+dfsg-1) unstable; urgency=medium

  * new upstream stable/bugfix release
    Closes: #1029155, CVE-2023-0330:
    A DMA-MMIO reentrancy problem in lsi53c895a device
  * keep full upstream version number, not just first 2 components
    (Closes: #855966)
  * d/copyright: remove stray newline
  * d/control: drop libuuid-dev build-dep (not used)
  * clarify files in d/not-installed just a little bit
  * fixup qemu(1) refs in qemu-storage-daemon(1)
  * move qemu-storage-daemon and qemu-block-drivers.7
    from qemu-system-common to qemu-utils
  * remove patches now included upstream:
   - linux-user-fix-getgroups-setgroups-allocations.patch
   - rtl8139-fix-large_send_mss-divide-by-zero.patch
   - target_i386-Change-wrong-XFRM-value.patch
  * qga-fix-suspend-on-linux-guests-without-systemd.patch
    (hopefully Closes: #1004943)
  * d/rules: disable pvrdma (Closes: #1034179, CVE-2023-1544)
    CVE-2023-1544:
     huge number of page tables for a ring of descriptors for CQ and
     async events, potentially leading to an OOB read and crash

 -- Michael Tokarev <mjt@tls.msk.ru>  Sun, 11 Jun 2023 11:49:17 +0300

qemu (1:8.0+dfsg-4) experimental; urgency=medium

  * d/control: do not use --enable-spice on sh4 and --enable-seccomp
    on hppa where qemu-system is not being built
  * spelling-information.patch: add headers
  * merge d/qemu-system-x86.NEWS into d/qemu-system-common.NEWS
  * d/rules: migrate docs for individual qemu-system-foo into symlinks
    pointing to qemu-system-common docs
  * d/rules: move qemu-user-binfmt doclink to the proper place,
    and remove installdocs and installchangelogs overrides
  * d/qemu-system-common.README.Debian, d/qemu-user*.README.Debian:
    update statement about ppc64el in READMEs
  * d/rules: switch to more declarative approach to generating various
    qemu-system-foo packages, fix some bugs
  * d/rules: switch to use "-" in variable names instead of "_"
    to avoid exporting variables from environment
  * add qemu-system-for-arch package (commented-out for now)
  * refresh d/source/lintian-overrides

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 21 Apr 2023 19:11:53 +0300

qemu (1:8.0+dfsg-3) experimental; urgency=medium

  * Release highlights:
    - build only tools on unsupported arches
    - much easier arch control in a single place
    - much easier dependency/options control
    - stop building system targets on ia64 and kfreebsd
  * d/control: generate Architecture: field dynamically from d/rules
  * demote ia64 and kfreebsd from system arches to tools arches
  * include m68k into list of utils arches
  * optional dependencies and --enable-feature in d/control:
    - update d/extract-config-opts to expect dpkg-like [arch] patterns
    - d/control: unify and simplify arch strings for --enable-foo
      and dependencies
    - d/control: switch some build-deps to [:system-arch:]
  * stop using --enable-tcg-interpreter for unsupported arches,
    add --enable-tools for main qemu build
  * provide --disable-xkbcommon to stop building qemu-keymap tool (!)
  * d/rules: for !enable-system build, remove qemu.1 manpage
  * install upstream qemu.desktop file instead of debian-specific
  * d/*.install: list files relative to d/tmp/, use ${DEB_HOST_MULTIARCH}
  * d/qemu-system-common.install: move 3 linux-specific files
    from d/rules to here
  * d/rules: move qemu-block-extrs maintscript/savedir generation
    to instide enable-system

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 20 Apr 2023 20:50:35 +0300

qemu (1:8.0+dfsg-2) experimental; urgency=medium

  * re-add the dropped-on-the-way Provides: qemu-system-any
  * specify versions for all Provides: so it's possible to add versioned deps
    (including qemu-system-any and qemu-kvm)
  * d/control: collapse Depends: qemu-system-* into tne new qemu-system-any
  * drop Breaks:/Replaces: qemu-kvm (it was for old qemu-kvm binary pkg)

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 20 Apr 2023 13:09:57 +0300

qemu (1:8.0+dfsg-1) experimental; urgency=medium

  * New qemu release 8.0.0.
  * remove binfmt-support registration, use systemd binfmd.d/ only
    No more binfmt-support support. Unregister any entries on upgrades.
  * binfmt: ship (but not enable) entries for all arches, do not omit native
    Ship all really-foreign binfmt entries in /usr/lib/binfmt.d/ as usual,
    to be enable automatically at package install. Also ship the
    same-cpu-family entries in /usr/share/doc/qemu-user-static/qemu-foo.conf -
    this way it will not be enabled automatically but it will be possible to
    (carefully) symlink the needed additional entries to /etc/binfmt.d/.
    (Closes: #924667, #1016810, #1027781)
  * qemu-system-*: add extra names to use as qemu-system-${DEB_HOST_ARCH_CPU},
    for both the Provides: line and executable file names. See
    /usr/share/doc/qemu-system-common/README.Debian.
  * qemu-system-*: also Provides: qemu-system-any

