=== debian/control ===
# autogenerated file, please edit debian/control-in
Source: qemu
Section: otherosfs
Priority: optional
Maintainer: Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>
Uploaders: Michael Tokarev <mjt@tls.msk.ru>
Build-Depends: debhelper-compat (= 13),
# In comments below we also specify (system-specific) arguments
# to qemu's configure script, -- optional features which depend
# on build-dependencies.
 python3:any,
 ninja-build, meson (>> 0.61.5~),
 flex, bison,
# --enable-docs
# for python3-sphinx:native see #995622
 texinfo, python3-sphinx:native, python3-sphinx-rtd-theme,
# iasl (from acpica-tools) is used only in a single test these days, not for building
# acpica-tools,
# libcapstone is in universe in ubuntu
# --enable-capstone
 libcapstone-dev (>> 4.0.2~),
# libsndio is in universe in ubuntu
# --enable-linux-aio	linux-any
 libaio-dev            [linux-any],
# --audio-drv-list=pa,alsa,jack,oss,sdl	amd64 arm arm64 armel armhf i386 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el riscv64 s390x sparc sparc64 x32
##--audio-drv-list=pa,oss	kfreebsd-any
 libjack-dev  [amd64 arm arm64 armel armhf i386 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el riscv64 s390x sparc sparc64 x32],
 libpulse-dev,
 libasound2-dev [amd64 arm arm64 armel armhf i386 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el riscv64 s390x sparc sparc64 x32],
# for virtfs (now in libc6)
# --enable-attr
# --enable-bpf	linux-any
 libbpf-dev	[linux-any],
# --enable-brlapi	amd64 arm arm64 armel armhf i386 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el riscv64 s390x sparc sparc64 x32
 libbrlapi-dev         [amd64 arm arm64 armel armhf i386 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el riscv64 s390x sparc sparc64 x32],
# --enable-virtfs	linux-any
# needed for virtfs
# --enable-cap-ng	linux-any
 libcap-ng-dev         [linux-any],
# --enable-curl
 libcurl4-gnutls-dev,
# --enable-fdt
# libfdt #931046
 libfdt-dev (>> 1.5.0-2~),
# --enable-fuse
 libfuse3-dev,
# --enable-gnutls
 gnutls-dev,
# --enable-gtk --enable-vte	amd64 arm arm64 armel armhf i386 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el riscv64 s390x sparc sparc64 x32
 libgtk-3-dev [amd64 arm arm64 armel armhf i386 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el riscv64 s390x sparc sparc64 x32],
 libvte-2.91-dev [amd64 arm arm64 armel armhf i386 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el riscv64 s390x sparc sparc64 x32],
# --enable-libiscsi
 libiscsi-dev (>> 1.9.0~),
# --enable-curses	amd64 arm arm64 armel armhf i386 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el riscv64 s390x sparc sparc64 x32
 libncurses-dev        [amd64 arm arm64 armel armhf i386 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el riscv64 s390x sparc sparc64 x32],
# --enable-virglrenderer	amd64 arm arm64 armel armhf i386 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el riscv64 s390x sparc sparc64 x32
 libvirglrenderer-dev          [amd64 arm arm64 armel armhf i386 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el riscv64 s390x sparc sparc64 x32],
# libvirglrenderer-dev bug #1019485: libva-dev build-dep is only a temp workaround
 libva-dev [amd64 arm arm64 armel armhf i386 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el riscv64 s390x sparc sparc64 x32],
# --enable-opengl	amd64 arm arm64 armel armhf i386 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el riscv64 s390x sparc sparc64 x32
 libepoxy-dev [amd64 arm arm64 armel armhf i386 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el riscv64 s390x sparc sparc64 x32],
 libdrm-dev [amd64 arm arm64 armel armhf i386 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el riscv64 s390x sparc sparc64 x32],
 libgbm-dev [amd64 arm arm64 armel armhf i386 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el riscv64 s390x sparc sparc64 x32],
# --enable-libnfs
 libnfs-dev,
# --enable-numa	i386 amd64 ia64 mips mipsel mips64 mips64el powerpc powerpcspe x32 ppc64 ppc64el arm64 sparc s390x riscv64
 libnuma-dev   [i386 amd64 ia64 mips mipsel mips64 mips64el powerpc powerpcspe x32 ppc64 ppc64el arm64 sparc s390x riscv64],
# --enable-smartcard
 libcacard-dev,
 libpixman-1-dev,
# --enable-rbd		amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x ppc64 sparc64
 librbd-dev            [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x ppc64 sparc64],
# before buster it was glusterfs-common so keep it for now for bpo
# --enable-glusterfs	linux-any
 libglusterfs-dev [linux-any] | glusterfs-common [linux-any],
# --enable-vnc-sasl
 libsasl2-dev,
# --enable-sdl	amd64 arm arm64 armel armhf i386 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el riscv64 s390x sparc sparc64 x32
 libsdl2-dev [amd64 arm arm64 armel armhf i386 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el riscv64 s390x sparc sparc64 x32],
# --enable-seccomp	amd64 arm64 armel armhf i386 mips64el mipsel ppc64 ppc64el powerpc riscv64 s390x x32
 libseccomp-dev        [amd64 arm64 armel armhf i386 mips64el mipsel ppc64 ppc64el powerpc riscv64 s390x x32],
# --enable-slirp
 libslirp-dev,
# --enable-spice	 amd64 i386 arm64 armel armhf mips64el mipsel ppc64el x32
 libspice-server-dev	[amd64 i386 arm64 armel armhf mips64el mipsel ppc64el x32],
# --enable-rdma		linux-any
 librdmacm-dev [linux-any], libibverbs-dev [linux-any], libibumad-dev [linux-any],
# --enable-linux-io-uring	linux-any
 liburing-dev                  [linux-any],
# --enable-libusb	linux-any
 libusb-1.0-0-dev      [linux-any],
# --enable-usb-redir	linux-any
 libusbredirparser-dev [linux-any],
# --enable-libssh
 libssh-dev,
# --enable-zstd
 libzstd-dev,
# vde is debian-only since ubuntu/vde2 is in universe
# --enable-vde
 libvdeplug-dev,
 libxen-dev [linux-amd64],
# --enable-nettle
 nettle-dev,
# always needed
 zlib1g-dev,
# other optional features we enable
# --enable-libudev
# needed for qga?
 libudev-dev [linux-any],
# --enable-vnc
# --enable-vnc-jpeg
 libjpeg-dev,
# --enable-png
 libpng-dev,
# --enable-libpmem	amd64 arm64
 libpmem-dev           [amd64 arm64],
# --enable-kvm		linux-any
# --enable-vhost-net	linux-any	# is it really linux-specific?
##--enable-lzo todo, for (memory) dumps
##--enable-netmap todo bsd
##--enable-xen-pci-passthrough todo
##--with-iconv (libiconv for curses wide char support)
## auth-pam - for auth for vnc&Co using PAM
## gio-2.0 - for -display=spice-app
Build-Depends-Indep:
# pc-bios/*.dts => *.dtb (PPC firmware)
 device-tree-compiler,
 gcc-s390x-linux-gnu,
# qemu-palcode/palcode-clipper
 gcc-alpha-linux-gnu,
# u-boot code
 gcc-powerpc-linux-gnu, bc,
# skiboot firmware, openbios
 gcc-powerpc64-linux-gnu,
# openbios
 gcc-sparc64-linux-gnu, fcode-utils, xsltproc,
# hppa-firmware
 gcc-hppa-linux-gnu,
# opensbi
 gcc-riscv64-linux-gnu,
# vbootrom/npcm7xx_bootrom
 gcc-arm-none-eabi,
Build-Conflicts: oss4-dev
Standards-Version: 4.6.1
Homepage: http://www.qemu.org/
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/qemu-team/qemu
Vcs-Git: https://salsa.debian.org/qemu-team/qemu.git

Package: qemu-system
Architecture: amd64 arm arm64 armel armhf i386 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el riscv64 s390x sparc sparc64 x32
Multi-Arch: foreign
Depends: ${misc:Depends},
 qemu-system-arm,
 qemu-system-mips,
 qemu-system-ppc,
 qemu-system-sparc,
 qemu-system-x86,
 qemu-system-misc
Description: QEMU full system emulation binaries
 QEMU is a fast processor emulator: currently the package supports
 ARM, CRIS, i386, M68k (ColdFire), MicroBlaze, MIPS, PowerPC, SH4,
 SPARC and x86-64 emulation. By using dynamic translation it achieves
 reasonable speed while being easy to port on new host CPUs.
 .
 This metapackage provides the full system emulation binaries for all supported
 targets, by depending on all per-architecture system emulation packages which
 QEMU supports.

Package: qemu-block-extra
Architecture: amd64 arm arm64 armel armhf hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 m68k mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el riscv64 s390x sh4 sparc sparc64 x32
Multi-Arch: no
Depends: ${misc:Depends}, ${shlibs:Depends},
# we need to ensure qemu-block-extra is upgraded
# when qemu-system or qemu-utils is upgraded, somehow
         qemu-system-any (= ${binary:Version}) [amd64 arm arm64 armel armhf i386 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el riscv64 s390x sparc sparc64 x32] | qemu-utils (= ${binary:Version}),
Enhances: qemu-utils, qemu-system-misc,
 qemu-system-arm, qemu-system-mips, qemu-system-sparc, qemu-system-x86,
Description: extra block backend modules for qemu-system and qemu-utils
 QEMU is a fast processor emulator: currently the package supports
 ARM, CRIS, i386, M68k (ColdFire), MicroBlaze, MIPS, PowerPC, SH4,
 SPARC and x86-64 emulation. By using dynamic translation it achieves
 reasonable speed while being easy to port on new host CPUs.
 .
 This package provides extra block device backend modules for qemu-system
 emulation and qemu-img from qemu-utils package, which are rarely used and
 has extra dependencies.

Package: qemu-system-data
Architecture: all
Multi-Arch: foreign
Conflicts: sgabios, qemu-skiboot, openbios-sparc, openbios-ppc, qemu-slof,
Replaces:  sgabios, openbios-sparc, openbios-ppc, qemu-slof,
        qemu-system-ppc (<< 1:6.1-4~),
Breaks: qemu-system-ppc (<< 1:6.1-4~),
Provides: qemu-keymaps, sgabios, qemu-skiboot, openbios-sparc, openbios-ppc, qemu-slof,
Depends: ${misc:Depends}
Description: QEMU full system emulation (data files)
 This package provides architecture-neutral data files
 (such as keyboard definitions, icons) for system-mode
 QEMU emulation (qemu-system-*) packages.

Package: qemu-system-common
Architecture: amd64 arm arm64 armel armhf i386 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el riscv64 s390x sparc sparc64 x32
Multi-Arch: no
Breaks: libvirt-daemon (<< 7.2.0-1)
Depends: ${misc:Depends}, ${shlibs:Depends},
# to fix wrong acl for newly created device node on ubuntu:
Description: QEMU full system emulation binaries (common files)
 QEMU is a fast processor emulator: currently the package supports
 ARM, CRIS, i386, M68k (ColdFire), MicroBlaze, MIPS, PowerPC, SH4,
 SPARC and x86-64 emulation. By using dynamic translation it achieves
 reasonable speed while being easy to port on new host CPUs.
 .
 This package provides common files needed for target-specific
 full system emulation (qemu-system-*) packages.

Package: qemu-system-gui
Architecture: amd64 arm arm64 armel armhf i386 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el riscv64 s390x sparc sparc64 x32
#XXX M-A: same does not really work for now due to /usr/lib/qemu/vhost-user-gpu
#XXX we'll deal with this if some actual need arises,
#XXX by moving that binary back to q-s-common or packaging it separately
#Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
# we need to ensure qemu-system-gui is upgraded
# when qemu-system is upgraded, somehow
        qemu-system-any (= ${binary:Version}),
# libgl1 is dynamically loaded by sdl display code
        libgl1,
# we moved vhost-user-gpu files here from qemu-system-common at 6.1-4
Replaces: qemu-system-common (<< 1:6.1+dfsg-4~)
Description: QEMU full system emulation binaries (user interface and audio support)
 This package provides local graphical user interface (currently GTK)
 and audio backends for full system emulation (qemu-system-*) packages.
 .
 The default GTK based qemu-system-gui is generally better and recommended,
 but a few corner cases still need SDL which is therefore provided as well.

Package: qemu-system-misc
Architecture: amd64 arm arm64 armel armhf i386 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el riscv64 s390x sparc sparc64 x32
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, qemu-system-common (= ${binary:Version}), qemu-system-data (>> ${source:Upstream-Version}~),
