## qemu 8.0.4+dfsg

=== debian/changelog ===
qemu (1:8.0.4+dfsg-3) unstable; urgency=medium

  * d/rules: export PYTHONDONTWRITEBYTECODE=1 to stop generating .pyc files
    (Closes: #1046056)
  * d/control: list more CPU types emulated by qemu in package descriptions
  * d/control: refine qemu-system-gui package description
  * d/rules: remove --interp-prefix= configure option
  * late fix for 8.1: target-arm-Fix-SME-ST1Q.patch
  * late fix for 8.1: target-arm-Fix-64-bit-SSRA.patch
  * d/control: remove old versions from build-deps

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 22 Aug 2023 20:15:07 +0300

qemu (1:8.0.4+dfsg-2) unstable; urgency=medium

  * remove linux-user-show-heap-address-in-proc-pid-maps.patch
  * pick 2 nvme fixes from upstream:
   - hw-nvme-fix-oob-memory-read-in-fdp-events-log-CVE-2023-4135.patch
     Closes: #1050142, CVE-2023-4135
   - hw-nvme-fix-null-pointer-access-in-directive-receive-CVE-2023-40360.patch
     Closes: #1050140, CVE-2023-40360
  * d/rules: --enable-virtfs (--enable-attr --enable-cap-ng) for xen build
    to enable 9pfs (Closes: #1049925)
  * d/rules: run-qemu.mount is linux-specific too
    (if we ever do non-linux system build)
  * d/control: disable sndio on debian too (disabled on ubuntu), for now anyway
  * d/*.install, d/rules: explicitly list all qemu-system modules
  * d/control: build-depend on libglib2.0-dev (forgotten!) and zlib1g-dev,
    move the two to the top before all optional deps
  * d/changelog: fix 7.1+dfsg-1 changelog entry (qemu-user and qemu-system)

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 21 Aug 2023 09:57:59 +0300

qemu (1:8.0.4+dfsg-1) unstable; urgency=medium

  * new upstream stable/bugfix release
    Closes: CVE-2023-3180 (virtual crypto virtio_crypto_handle_sym_req)
    Closes: CVE-2023-3354 (VNC server QIOChannel NULL ptr deref)
    Closes: CVE-2023-3255 (VNC: infinite loop in inflate_buffer)
  * d/patches: remove patches picked up from stable-staging branch
    which are applied in 8.0.4
  * d/control: build-depend on libglib2.0-dev (forgotten!) and zlib1g-dev,
    move the two to the top before all optional deps
  * remove xen-specific wrapper for qemu-system-i386
    (needed for bookworm upgrade only)

 -- Michael Tokarev <mjt@tls.msk.ru>  Fri, 11 Aug 2023 22:13:36 +0300

qemu (1:8.0.3+dfsg-5) unstable; urgency=medium

  * remove previous 2 mmap/brk patches for now
     linux-user-optimize-memory-layout-for-static-and-dyn.patch
     linux-user-load-pie-executables-at-upper-memory.patch
    These are intended for 8.1, and causes other issues on 8.0.
    Closes: #1042808
    Reopens: #1040981

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 02 Aug 2023 10:55:50 +0300

qemu (1:8.0.3+dfsg-4) unstable; urgency=medium

  * more linux-user address fixes from Helge Deller
    Remove
     stable-staging/linux-user-fix-qemu-arm-to-run-static-armhf-binaries.patch
     linux-user-limit-brk-adjustment-wrt-interp.brk-to-arm32.patch
    Add
     linux-user-show-heap-address-in-proc-pid-maps.patch
     linux-user-optimize-memory-layout-for-static-and-dyn.patch
     linux-user-load-pie-executables-at-upper-memory.patch
    This *might* fix #1041859.
  * stable-staging/tcg-ppc-fix-race-in-goto_tb-implementation.patch
    fix qemu sigsegv on ppc -smp. Should fix autopkgtests (debvm, others)
  * Stop passing --no-start to qga's dh_installsystemd.
    qga is activated from an udev rule, but we need to restart it on upgrade.
    Change by Sergio Durigan.  Closes: LP#2028124.

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 26 Jul 2023 07:51:20 +0300

qemu (1:8.0.3+dfsg-3) unstable; urgency=medium

  * d/control: glusterfs: drop pre-buster glusterfs-common alternative,
    restrict glusterfs support to 64bit (see #1039604)
  * linux-user-limit-brk-adjustment-wrt-interp.brk-to-arm32.patch
    Fix (band-aid for now) an unexpected breakage caused by the previous
    patch in this area which fixes static executables loading on armhf.
  * d/binfmt-install: update mips* magic strings from upstream commit
    77d119dd335f910c7:
    mips: allow nonzero EI_ABIVERSION, distinguish o32 and n32
    (Closes: #1041597)

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 22 Jul 2023 11:53:38 +0300

qemu (1:8.0.3+dfsg-2) unstable; urgency=medium

  * d/patches: set Forwarded: URLs for some patches
  * add 5 qemu-user fixes staging for the next stable:
   linux-user-make-sure-initial-brk-0-is-page-aligned.patch
   linux-user-fix-qemu-brk-to-not-zero-bytes-on-current-page.patch
   linux-user-prohibit-brk-to-to-shrink-below-initial-address.patch
   linux-user-fix-signed-math-overflow-in-brk-syscall.patch
   linux-user-fix-qemu-arm-to-run-static-armhf-binaries.patch
   (Closes: #1040981)

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 20 Jul 2023 09:59:49 +0300

qemu (1:8.0.3+dfsg-1) unstable; urgency=medium

  * new upstream stable/bugfix release 8.0.3
    Including the following security fix(es):
    - 9pfs: prevent opening special files (CVE-2023-2861)
  * remove patches now included upstream:
   - hw-mips-malta-fix-the-malta-machine-on-big-endian-hosts.patch
   - qga-fix-suspend-on-linux-guests-without-systemd.patch
   - hw_intc_allwinner-a10-pic-handle-IRQ-levels-other-than-0-or-1.patch
   - linux-user-Avoid-mmap-of-the-last-byte-of-the-reserv.patch
  * d/rules: omit qemu-systemd-data from dh_dwz run
  * d/rules: create qemu-system-armhf & qemu-system-armel aliases
    for qemu-system-arm (Closes: #1040209)

 -- Michael Tokarev <mjt@tls.msk.ru>  Tue, 11 Jul 2023 15:07:04 +0300
