=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,8 @@
 #!/usr/bin/make -f
 SHELL = /bin/sh -e
+
+# stop python from generating .pyc caches
+export PYTHONDONTWRITEBYTECODE=1
 
 # in order to keep output non-intermixed together, disable parallel building
 # of different targets in this d/rules but allow running parallel submakes
@@ -84,7 +87,6 @@
 	--localstatedir=/var \
 	--disable-install-blobs \
 	--disable-strip \
-	--interp-prefix=/etc/qemu-binfmt/%M \
 	--localstatedir=/var \
 	--with-git-submodules=ignore \
 
@@ -141,6 +143,7 @@
 
 system-archlist-arm = aarch64 arm
 system-alias-aarch64 = arm64
+system-alias-arm = armel armhf
 system-kvmcpus-arm = arm64 arm
 system-kvmlink-arm64 = aarch64
 system-kvmlink-arm = arm
@@ -217,4 +220,3 @@
 # several builds of qemu binary:
 
 ##############################################
-# regular, main system/user and tools build
