=== debian/control ===
--- 
+++ 
@@ -9,7 +9,8 @@
 # to qemu's configure script, -- optional features which depend
 # on build-dependencies.
  python3:any,
- ninja-build, meson (>> 0.61.5~),
+ python3-venv,
+ ninja-build, meson (>> 0.63.0~),
  flex, bison,
 # --enable-docs
 # for python3-sphinx:native see #995622
@@ -82,8 +83,8 @@
  libseccomp-dev        [amd64 arm64 armel armhf i386 mips64el mipsel ppc64 ppc64el powerpc riscv64 s390x x32],
 # --enable-slirp
  libslirp-dev,
-# --enable-spice	 amd64 i386 arm64 armel armhf mips64el mipsel ppc64el x32
- libspice-server-dev	[amd64 i386 arm64 armel armhf mips64el mipsel ppc64el x32],
+# --enable-spice	 amd64 arm64 armel armhf i386 mips64el mipsel ppc64el x32
+ libspice-server-dev	[amd64 arm64 armel armhf i386 mips64el mipsel ppc64el x32],
 # --enable-rdma		linux-any
  librdmacm-dev [linux-any], libibverbs-dev [linux-any], libibumad-dev [linux-any],
 # --enable-linux-io-uring	linux-any
@@ -121,6 +122,12 @@
 ##--with-iconv (libiconv for curses wide char support)
 ## auth-pam - for auth for vnc&Co using PAM
 ## gio-2.0 - for -display=spice-app
+#
+# the testsuite:
+ seabios [amd64 arm arm64 armel armhf i386 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el riscv64 s390x sparc sparc64 x32] <!nocheck>,
+# ipxe-qemu [amd64 arm arm64 armel armhf i386 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el riscv64 s390x sparc sparc64 x32] <!nocheck>,
+# various firmware files (kvmvapic.bin &Co), older qemu-system-data should work
+ qemu-system-data [amd64 arm arm64 armel armhf i386 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el riscv64 s390x sparc sparc64 x32] <!nocheck>,
 Build-Depends-Indep:
 # pc-bios/*.dts => *.dtb (PPC firmware)
  device-tree-compiler,
@@ -171,9 +178,8 @@
 Architecture: amd64 arm arm64 armel armhf hppa i386 ia64 kfreebsd-amd64 kfreebsd-i386 m68k mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el riscv64 s390x sh4 sparc sparc64 x32
 Multi-Arch: no
 Depends: ${misc:Depends}, ${shlibs:Depends},
-# we need to ensure qemu-block-extra is upgraded
-# when qemu-system or qemu-utils is upgraded, somehow
-         qemu-system-any (= ${binary:Version}) [amd64 arm arm64 armel armhf i386 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el riscv64 s390x sparc sparc64 x32] | qemu-utils (= ${binary:Version}),
+# we need to ensure qemu-block-extra is upgraded with qemu-system-* or qemu-utils
+ qemu-system-any (= ${binary:Version}) [amd64 arm arm64 armel armhf i386 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el riscv64 s390x sparc sparc64 x32] | qemu-utils (= ${binary:Version}),
 Enhances: qemu-utils, qemu-system-misc,
  qemu-system-arm, qemu-system-mips, qemu-system-sparc, qemu-system-x86,
 Description: extra block backend modules for qemu-system and qemu-utils
@@ -192,7 +198,7 @@
 Multi-Arch: foreign
 Conflicts: sgabios, qemu-skiboot, openbios-sparc, openbios-ppc, qemu-slof,
 Replaces:  sgabios, openbios-sparc, openbios-ppc, qemu-slof,
-        qemu-system-ppc (<< 1:6.1-4~),
+ qemu-system-ppc (<< 1:6.1-4~),
 Breaks: qemu-system-ppc (<< 1:6.1-4~),
 Provides: qemu-keymaps, sgabios, qemu-skiboot, openbios-sparc, openbios-ppc, qemu-slof,
 Depends: ${misc:Depends}
@@ -224,25 +230,13 @@
 #XXX by moving that binary back to q-s-common or packaging it separately
 #Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
-# we need to ensure qemu-system-gui is upgraded
-# when qemu-system is upgraded, somehow
-        qemu-system-any (= ${binary:Version}),
+# ui-* depends on ui-opengl
+ qemu-system-modules-opengl (= ${binary:Version}),
+# we need to ensure qemu-system-gui is upgraded with qemu-system-*
+ qemu-system-any (= ${binary:Version}),
 # libgl1 is dynamically loaded by sdl display code
-        libgl1,
+ libgl1,
 # we moved vhost-user-gpu files here from qemu-system-common at 6.1-4
 Replaces: qemu-system-common (<< 1:6.1+dfsg-4~)
 Description: QEMU full system emulation binaries (user interface and audio support)
  This package provides local graphical user interface (currently GTK and SDL),
- audio backends and OpenGL display support for full system emulation
- (qemu-system-*) packages.
-
-Package: qemu-system-misc
-Architecture: amd64 arm arm64 armel armhf i386 mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el riscv64 s390x sparc sparc64 x32
-Multi-Arch: foreign
-Depends: ${shlibs:Depends}, ${misc:Depends}, qemu-system-common (= ${binary:Version}), qemu-system-data (>> ${source:Upstream-Version}~),
-Recommends: qemu-system-gui (= ${binary:Version}), qemu-utils,
-# alpha uses vgabios
-# alpha m68k sh4 uses bootroms
- seabios, ipxe-qemu,
- qemu-block-extra (= ${binary:Version}),
-Suggests: samba, vde2,
