=== debian/rules ===
--- 
+++ 
@@ -46,6 +46,8 @@
 	ppc64 ppc64el riscv64 s390x sparc sparc64 x32
 utils-arch = $(sort ${system-arch} ${user-arch} ia64 hppa m68k sh4 \
 	kfreebsd-amd64 kfreebsd-i386)
+# subset of system-arch
+spice-arch = amd64 i386 arm64 armel armhf mips64el mipsel ppc64el x32
 
 # DEB_BUILD_OPTIONS=parallel=N
 MAKEFLAGS += $(subst parallel=,-j,$(filter parallel=%,${DEB_BUILD_OPTIONS}))
@@ -88,7 +90,7 @@
 	--disable-install-blobs \
 	--disable-strip \
 	--localstatedir=/var \
-	--with-git-submodules=ignore \
+	--disable-download \
 
 # this disables building of qemu-keymap tool (!)
 # qemu-keymap might be helpful for qemu-system -k <lang>
@@ -215,8 +217,3 @@
 endef
 
 sysdata-components :=
-qemu-builds :=
-
-# several builds of qemu binary:
-
-##############################################
